-- $Name: Побег Из Туалета: Месть Критика$
-- версия 1.00
instead_version "1.3.1"
game.codepage="UTF-8";
require "xact"
require "hideinv"
require "para"
require "dash"
require "quotes"
game.act = 'Не получается.';
game.inv = 'Гм.. Странная штука..';
game.use = 'Не сработает...';
_life = 1;
main = room {
	nam = "Побег Из Туалета: Месть Критика";
	pic = 'oblivion/happyend.png',
	obj = {
	vway("adv1", txtc "продолжить {игру} ",'room1');
	},
    enter = function()
		set_music('oblivion/act3.ogg');
	end,
};
room1 = room {
	nam = "Пробуждение";
	pic = 'oblivion/1e.png',
	dsc = [[Ты приходишь в себя. Тесная комната. Тьма вокруг. Что происходит?
	 Неужели всё повторяется?]];
	obj = {
	vway("adv0", "Дрожащей рукой ты нащупываешь на стене {выключатель}. ",'room2');
	},

};
room2 = room {
	nam = function(s)
		p ('Туалет №', _life)
	end;
	pic = 'oblivion/1.png',
	dsc = [[Ты понимаешь, что вновь оказался в туалете. И дверь, как всегда, закрыта. 
	Когда же всё это закончится?]];
	act = function(s,w)
	
	if w == "adv1" then p[[Лучше его не трогать. Без света ты ничего не увидишь.]];end;
	
	if w == "adv3" then 
	p[[Ты разматываешь рулон туалетной бумаги и читаешь написанное на нём послание:
	^Здравствуй, Игрок. Меня зовут Критик. Ловушка вновь захлопнулась. Ты опять попал 
	в этот чёртов туалет и пытаешься из него выбраться. Ты вновь бьешься над глупыми 
	загадками, пытаясь делать при этом умное лицо. Но... не стоит благодарностей, я помогу тебе. 
	Если кто и знает, как пройти туалет, так это сам _vpodobaev_. Это его тело лежит у тебя 
	под ногами. И ключ от всех загадок у него в голове. Надеюсь, ты сам догадаешься, 
	как достать его оттуда. С уважением, Критик...]];end;
	
	if (w == "adv4") then
	if have(hand) then p[[Больше там ничего нет.]] else 
	p[[Ты находишь в ведре использованные перчатки.]];
	inv():add(hand);end;
	end;
	end;
	obj = {
    vobj("adv1",'Ты внимательно осматриваешься. На стене белеет {выключатель}.');
    'adv2',
    vobj("adv3",'Рядом ты замечаешь {бумагодержатель}.');
    vobj("adv4",'За ним притаилось {мусорное ведро}. ');
    'adv5';
    'adv6';
	},

};
adv5 = obj{
     nam = 'door';
     dsc ='Из туалета есть только один выход - {дверь}.';
     act = [[Дверь закрыта. 
	Но ты должен найти способ выбраться отсюда раз и навсегда.]];
     used = function(s,w)
	if w == key then
	p[[Ты открываешь дверь ключом. Наконец-то, свобода! Ты делаешь шаг вперёд... и 
	 попадаешь... в новый туалет.]]; _life = _life + 1;goto('room3');
	 end;end; 
};
adv2 = obj{
     nam = 'tool';
     dsc ='В углу загадочно блестит {туалет}.';
     act = 'Бачок унитаза наполнен доверху какой-то слизью.';
     used = function(s,w)
	if w == hand then
	if have(scalp) then p[[Больше там ничего нет.]]
	else p[[Надев перчатки, ты опускаешь руку в бачок и достаешь оттуда скальпель.]];inv():add(scalp);end;
	 end;end; 
};
adv6 = obj{
     nam = 'body';
     dsc ='У противоположной стены лежит {мёртвое тело}.';
     act = [[Ты в ужасе смотришь на окровавленный труп. Голова накрыта мешком, и тебе совершенно не хочется 
	заглядывать под него.]];
     used = function(s,w)
	if w == scalp then
	if have(key) then p[[Я уже сделал, всё что нужно.]]
	else p[[Ты извлёк ключ. Неужели ты готов пойти на всё ради достижения цели?]];
	inv():add(key);end;
	 end;end;
	  
};
hand = obj {
     nam = 'перчатки';
     inv = 'Обычные жёлтые перчатки для уборки туалетов.';
	 
};
key = obj {
     nam = 'ключ';
     inv = function(s)
     if here() == room2 then p[[Небольшой медный ключ. На нём нацарапано слово "месть".]];
     else p[[Ты проглатываешь ключ.]];
     inv():del(key);
     end;end;
	 
};
scalp = obj {
     nam = 'скальпель';
     inv = 'Острый нож для хирургических операций.';
};
room3 = room {
	nam = function(s)
		p ('Туалет №', _life)
	end;
	pic = 'oblivion/2.png',
	dsc = [[Последняя надежда на спасение потеряна. Тебе никогда 
	 не выбраться отсюда.]];
	act = function(s,w)
	
	if w == "adv1" then 
	if have(hand) or have(scalp) or have(key) then
	p[[Слишком рано выключать свет. Ещё не всё готово.]] 
	else _life = _life + 1; goto(room1);
	end;end;
	
	if w == "adv3" then 
	p[[Ты разматываешь рулон туалетной бумаги и читаешь написанное на нём послание:
	^Здравствуй, _vpodobaev_. Ты думал, я не узнаю тебя за личиной Игрока? 
	Но теперь мы поменялись местами. Тебе никогда не выбраться из этого туалета. Я - Критик - 
	приговариваю тебя к вечным мучениям. Вот тебе солюшен, который ты так не любишь: 
	^1) опускаешь скальпель в бачок
	^2) возвращаешь перчатки в мусорную корзину
	^3) проглатывешь ключ
	^4) выключаешь свет
	^5) и так целую вечность
	^с любовью... Критик]];end;
	
	end;
	obj = {
    vobj("adv1",'Ты внимательно осматриваешься. На стене белеет {выключатель}.');
    'adv21',
    vobj("adv3",'Рядом ты замечаешь {бумагодержатель}.');
    'adv4';
    'adv51';
	},

};
adv21 = obj{
     nam = 'tool1';
     dsc ='В углу загадочно блестит {туалет}.';
     act = 'Бачок унитаза наполнен доверху какой-то слизью.';
     used = function(s,w)
	if w == hand then
	p[[Больше ты туда не полезешь.]];
	end;
	if w == scalp then
	p[[Ты бросаешь скальпель обратно в бачок и наблюдаешь, как он медленно опускается на дно.]];
	inv():del(scalp);
	end;
	 end; 
};
adv4 = obj{
     nam = 'tool1';
     dsc ='За ним притаилось {мусорное ведро}. ';
     act = 'Больше ты туда не полезешь.';
     used = function(s,w)
	if w == hand then
	p[[Ты кладёшь перчатки обратно в мусорное ведро.]];
	inv():del(hand);
	end;
	 end; 
};
adv51 = obj{
     nam = 'tool1';
     dsc ='Из туалета есть только один выход - {дверь}.';
     act = 'Дверь закрыта. Навсегда.';
     used = function(s,w)
	if w == key then
	p[[Ничего не получается. Замок заклинило.]];
	end;
	 end; 
};
